## SEJARAH

- v.6.1.9 (2026-09-02)
    - Memperbaiki respons kursor di tepi jendela utama.
    - Memperbaiki bug di mana item ET_TYPE tanpa anak tidak hilang dalam fungsi EGA RES_delete.
- v.6.1.8 (2026-09-01)
    - Peningkatan kecil pada UI/UX.
    - Memindahkan lokasi mcdx.
    - mcdx yang dipercepat.
    - Mempercepat pemuatan file RC.
- v.6.1.7 (2026-08-25)
    - Memperbaiki bug MEditAccelDlg ("^A" dll.).
    - Membuat mcdx tidak terlalu mencurigakan.
    - Memperbaiki proses dumping MessageRes.
- v.6.1.6 (2026-08-24)
    - Peningkatan kecil pada UI/UX.
    - Menambahkan tombol [Bantuan] ke MConstantDlg.
    - Memperbaiki masalah *crash* pada MRadWindow::AlignSelection.
    - Peningkatan terjemahan penginstal.
    - Memperbaiki masalah *crash* pada EGA RES_delete.
    - Memperbaiki bug MEditAccelDlg ("^A" dll.).
    - Penanganan item sumber daya yang dipercepat.
    - Memperbaiki kesalahan pada tampilan nama sumber daya RISOHTEMPLATE.
    - Memperbaiki impor, ekstraksi, dan penyimpanan RT_BITMAP.
    - Jangan gunakan tanda kutip pada nama sumber daya demi kompatibilitas MSVC.
- v.6.1.5 (2026-08-22)
    - Percepat MDialogFontSubstDlg.
    - Menambahkan jendela splash.
    - Menjadikan UTF-8 sebagai *codepage* default untuk windres.
    - Memperbaiki ekstraksi RT_BITMAP.
    - Menambahkan konfirmasi sebelum penghapusan.
    - Menambahkan pemeriksaan kewajaran untuk item menu.
    - Peningkatan kecil pada UI/UX.
- v.6.1.4 (2026-08-13)
    - Mengubah konfigurasi menjadi lembar properti.
    - Percepat OnDeleteRes.
    - Memperbaiki masalah di mana panah tarik-turun pada tampilan pohon tidak terduplikasi.
    - Memperbaiki label indeks MRadWindow.
    - Mendukung kompresi sumber daya oleh WonRes.
    - Penanganan UPX ditingkatkan.
    - Dukungan yang ditingkatkan untuk Help ID.
    - "MEditMenuDlg" telah disempurnakan.
    - Mendukung fitur zoom pada editor kode.
    - Memperbaiki pemenggalan kata.
- v.6.1.3 (2026-08-08)
    - Menyederhanakan menu [Edit].
    - Menerapkan enkripsi sumber daya menggunakan WonRes.
    - Percepat OnNew.
    - Menambahkan dukungan untuk BMP yang dikompresi RLE.
    - Mengurangi kedipan pada MRadWindow.
    - Mengurangi kedipan pada m_hCodeEditor.
- v.6.1.2 (2026-08-05)
    - Dapat dibangun kembali menggunakan MinGW atau RosBE.
    - Dapat mengubah jenis sumber daya.
    - Dapat mengkloning tipe sumber daya.
    - UI/UX ma ki yubu manok.
    - Memperbaiki penanganan DLGITEMTEMPLATE.
    - Memperbarui mcpp.exe untuk memproses informasi baris sumber.
    - Peningkatan proses kompilasi dan informasi kesalahan.
- v.6.1.1 (2026-08-03)
    - Refaktorisasi.
- v.6.1.0 (2026-08-03)
    - Memperbaiki *handle* yang belum diinisialisasi pada panah *treeview*.
    - Terjemahan bahasa Polandia telah disempurnakan.
- v.6.0.9 (2026-08-02)
    - Manual EGA diperbarui.
    - Memperbaiki jeda tampilan treeview.
- v.6.0.8 (2026-08-01)
    - MConstantDlg telah disempurnakan.
    - Peningkatan pada MAddCtrlDlg, MCtrlPropDlg, dan MDlgPropDlg.
    - Memperbaiki string sumber daya bahasa Portugis yang hilang.
    - IDD_EGA dikurangi.
    - Membuat pratinjau sumber daya menjadi lebih aman.
    - Peningkatan output dialog EGA.
    - Memperbaiki fungsi "load" dan "save" EGA.
    - Menambahkan fungsi EGA "RES_extract".
    - Memperbaiki fungsi EGA "RES_load" dan "RES_save".
    - Peningkatan terjemahan dan tombol akses.
- v.6.0.7 (2026-07-24)
    - Memperbaiki masalah lambatnya respons gulir roda pada tampilan sumber.
    - Memperbaiki pembuangan (dumping) gaya DIALOG.
    - Peningkatan pembuangan (dumping) RT_VERSION.
    - Memperbaiki data RT_VERSION.
    - Memperbaiki gaya BUTTON dan RICHEDIT.
    - Bantuan kata kunci yang ditingkatkan.
- v.6.0.5 (2026-07-17)
    - Mengaktifkan fitur pengubahan nama sumber daya melalui tanda panah pada *treeview*. 
    - Memperbaiki dukungan EGA. Menambahkan beberapa program EGA. 
    - Menggunakan DIALOGEX sebagai pengganti DIALOG. 
    - Menyempurnakan proses *dumping* FONT pada DIALOGEX. 
    - Menyempurnakan penanganan saat beberapa kontrol dipilih di IDD_CTRLPROP. 
    - Mengaktifkan fitur pelengkapan otomatis (*auto-completion*) untuk nama item pada *treeview*. 
    - Memperbaiki masalah penghapusan item pada *treeview*.
- v.6.0.4 (2026-07-07)
    - Memperbaiki interpretasi ID sumber daya pada tampilan pohon.
    - Menambahkan tombol "Reset" pada dialog IDD_FONTS.
- v.6.0.3 (2026-07-05)
    - Mengizinkan penggunaan integer 32-bit bertanda (*signed*) maupun tidak bertanda (*unsigned*) untuk Help ID di dalam dialog "Resource IDs".
    - Menyelesaikan lokalisasi. 
    - Memperbaiki bug kecil terkait "Resource ID". 
    - Menangani nama sumber daya (resource names) yang diapit tanda kutip dengan benar. 
    - Meningkatkan proses *dumping* RT_VERSION. 
    - Menambahkan "winres.h".
    - Menambahkan fitur "Bantuan Item" pada treeview.
    - Menghilangkan tanda koma pada tabel string.
    - Supporto per la guida contestuale (F1).
    - Selalu gunakan huruf kapital untuk string ID sumber daya.
    - Pembagian dengan nol pada parser makro telah dihindari.
- v.6.0.2 (2026-07-03)
    - Terjemahan bahasa Polandia (Polandia) yang lebih baik (terima kasih, Fresta).
    - Memperbaiki tindakan ID_BASE10 dan ID_BASE16 pada "List of Resource IDs".
    - Mengubah nama "List of Resource IDs" menjadi "Resource IDs".
    - Memperbaiki UI/UX "Resource IDs".
- v.6.0.1 (2026-06-01)
    - Daftar ID Sumber Daya yang Dioptimalkan.
    - Terjemahan bahasa Ukraina (Ukraina) telah ditambahkan.
- v.6.0.0 (2026-05-21)
    - Memperbaiki beberapa bug UI/UX kecil.
    - Mengubah bUseMSMSGTABLE ke pengaturan default.
- v.5.9.9 (2026-05-20)
    - Memperbaiki msdx.
    - Memperbaiki penanganan ID sumber daya.
    - Memperbaiki penanganan tabel pesan.
    - Dimodifikasi agar dapat menerima halaman kode UTF-16.
- v.5.9.8 (2026-05-15)
    - Meningkatkan keamanan dukungan halaman kode.
    - Menambahkan terjemahan bahasa Portugis (Portugal).
    - Memperkenalkan WonRes (manipulator sumber daya asli).
    - Memperbaiki perilaku dialog IDD_IDLIST.
    - Memperbaiki bug yang menyebabkan aplikasi mogok saat tombol 'L' ditekan di MRadWindow.
    - Memvalidasi ID bilangan bulat.
- v.5.9.7 (2026-05-03)
    - Mendukung RichEdit20A/RichEdit20W/RichEdit50W.
    - Supported codepages.
- v.5.9.6 (2026-04-02)
    - Memperbaiki informasi versi.
    - Templat informasi versi (RT_VERSION) yang dilokalisasi.
- v.5.9.5 (2026-03-01)
    - Mempermudah ukuran buffer.
- v.5.9.4 (2026-01-01)
    - Memperbarui mcpp.exe untuk membuat panjang buffer UTF-16/UTF-32 tidak terbatas.
    - Mengganti nama HISTORY*.txt menjadi ChangeLog*.txt.
    - Mengganti nama README-*.txt menjadi README_*.txt.
    - Menambahkan fitur "Lanjutkan ke baris".
- v.5.9.3 (2025-12-01)
    - Memperbaiki masalah ketidakpekaan huruf besar/kecil pada AutoComplete.
    - Memperbaiki penanganan nama sumber daya nol.
    - Mengimplementasikan TEXTINCLUDE 1.
    - Memperbaiki banyak kebocoran memori.
    - Mendukung suara MP3.
    - Memperbaiki masalah tanda kutip kosong pada menu.
- v.5.9.2 (2025-10-23)
    - Memperbaiki masalah tanda tangan ganda.
- v.5.9.1 (2025-10-23)
    - Sekarang, panjang maksimum literal string yang tidak dibungkus adalah 400.
    - Bungkus literal string hanya di UTF-16 RC.
    - Perbaikan Pencarian (Ctrl+F).
    - Kata kunci ANICURSOR dan ANIICON tidak tersedia di lingkungan lama. Gunakan angka sebagai gantinya.
    - Peningkatan UI/UX Pencarian.
    - Menambahkan opsi "(bom)" ke fungsi EGA RES_save.
    - Menambahkan dukungan High DPI.
- v.5.9.0 (2025-09-01)
    - Mendukung ekstensi nama file rc2.
    - Pemberitahuan perubahan ikon saat mengekstrak file oleh SHChangeNotify.
    - Mengaktifkan pembungkus literal string yang terlalu panjang.
    - Sekarang dimungkinkan untuk menambahkan Byte Order Mark (BOM) saat mengeluarkan file RC.
- v.5.8.9 (2025-07-01)
    - Pemberitahuan perubahan ikon saat menyimpan file EXE oleh SHChangeNotify.
    - Menambahkan entri "Netral" Bahasa Inggris ke daftar bahasa.
    - Memperbaiki pemilihan kotak daftar bahasa awal.
    - Mengambil informasi Bitmap RLE dengan benar.
    - Mengurangi kedipan saat memindahkan pemisah.
    - Menonaktifkan pengalihan sistem file WoW.
    - Mengaktifkan penyelesaian otomatis sistem file.
- v.5.8.8 (2025-06-03)
    - Menambahkan tanda tangan digital ke file EXE.
    - Menambahkan terjemahan bahasa Turki.
    - Mendukung TEXTINCLUDE 2 dan TEXTINCLUDE 3.
    - Memperbaiki kerusakan MRadWindow.
    - Memperbarui installer.
- v.5.8.7 (2025-04-04)
    - Mengurangi kebocoran memori dan kebocoran handle.
    - Meningkatkan ikon utama.
    - Meningkatkan UI/UX penambahan ikon/kursor/bitmap/sumber daya.
- v.5.8.6 (2025-02-04)
    - Menambahkan terjemahan bahasa Spanyol.
    - Memperbaiki fungsi RES_save untuk menyimpan *.dll.
    - Jangan gunakan SUBLANG_CUSTOM_DEFAULT, SUBLANG_CUSTOM_UNSPECIFIED, dan SUBLANG_UI_CUSTOM_DEFAULT untuk kompatibilitas mundur.
- v.5.8.5 (21-08-2024)
    - Peningkatan kegunaan konsol EGA.
    - Menghapus fungsi input EGA.
- v.5.8.4 (02-08-2024)
    - Memisahkan pengaturan x86 dan x64.
    - Memperbaiki kesalahan interpretasi indeks filter terbuka.
- v.5.8.3 (24-07-2024)
    - Pengisian otomatis nama sumber daya dari nama file.
    - Menambahkan pengaturan bahasa sumber daya.
    - Memperbaiki pembekuan pada tombol Enter.
    - Mendukung x64.
- v.5.8.2 (20-07-2024)
    - Menambahkan gaya ES_AUTOHSCROLL ke beberapa kotak teks.
    - Memperbaiki kegagalan pemuatan Win2k3 ieframe.dll BITMAP 214.
    - Memusatkan jendela "Dialog Edit".
    - Mendukung ekspor file RES.
- v.5.8.1 (2024-03-04)
    - Peningkatan dialog IDD_ADDCTRL dan IDD_CTRLPROP.
- v.5.8.0 (2024-03-03)
    - Mengatasi pemindaian keamanan saat menghasilkan file EXE.
- v.5.7.9 (2023-11-14)
    - Menambahkan contoh EGA DeleteNonEnglish.ega.
    - Memperbaiki terjemahan IDS_THEREISUPDATE.
- v.5.7.8 (2023-10-06)
    - Peningkatan terjemahan Portugis (Brasil).
    - Persyaratan pemilihan font yang lebih longgar.
    - Menambahkan terjemahan Bahasa Mandarin Tradisional.
- v.5.7.7 (2023-06-05)
    - Menyeragamkan IDD_ADDDLGINIT dan IDD_MODIFYDLGINIT.
    - Mengubah desain RES_str_get dan RES_str_set.
    - Menambahkan fungsi RES_get_text dan RES_set_text ke EGA.
- v.5.7.6 (2023-06-02)
    - Melokalisasi menu Bantuan.
    - Menambahkan fungsi RES_str_get dan RES_str_set ke EGA.
- v.5.7.5 (2023-05-08)
    - Peningkatan dialog IDD_DLGPROP, IDD_CTRLPROP, IDD_ADDCTRL.
    - Menambahkan penginstal Korea.
    - Memperbaiki pemisah MENUEX.
- v.5.7.4 (2023-04-02)
    - Menambahkan nomor versi ke IDS_NOTICE.
    - Konsol EGA yang ditingkatkan.
    - Memperbaiki penginstal yang setengah rusak.
- v.5.7.3 (2023-04-01)
    - Peningkatan kinerja kecil.
    - Peningkatan "Salin ke beberapa bahasa".
    - Memperbaiki FILESUBTYPE dari VERSIONINFO.
    - Membuat "~" akhiran cadangan daripada "-lama".
    - Mengganti nama "Mengganti Font Dialog..." sebagai "Pengganti font dialog..."
- v.5.7.2 (2022-06-07)
    - Didukung sumber daya TOOLBAR.
- v.5.7.1 (28-03-2022)
    - Dialog info versi yang ditingkatkan.
    - Didukung ke metode berkedip karena tampilan kontrol yang salah.
    - Mengingat fokus jendela utama.
- v.5.7.0 (2022-03-18)
    - Memperbaiki kompilasi ulang dalam pengelolaan ID sumber daya.
- v.5.6.9 (2022-03-09)
    - Membagi teks sejarah.
    - Berganti nama menjadi README.
    - Menambahkan WS_CLIPCHILDREN untuk jendela RAD untuk mengurangi kedipan.
- v.5.6.8 (2022-01-17)
    - Mengubah fokus awal IDD_CTRLPROP.
    - Memperbaiki beberapa info versi.
- v.5.6.7 (13-01-2022)
    - Menambahkan terjemahan Portugis.
    - Dukungan WinXP lagi (jangan gunakan GetThreadUILanguage() di XP).
- v.5.6.6 (25-12-2021)
    - Mengklik dua kali jendela RAD akan membuka properti kontrol/dialog.
    - Peningkatan dukungan kursor ANI.
- v.5.6.5 (2021-12-18)
    - Tombol BS_OWNERDRAW adalah PUSHBUTTON.
    - Menambahkan fitur "Salin ke beberapa bahasa".
    - Memperbaiki bug jendela RAD (Kritis).
- v.5.6.4 (2021-12-16)
    - Meminta kompilasi sebelum membuka edit GUI.
- v.5.6.3 (2021-12-12)
    - Menambahkan sampel win32.
    - Menambahkan "Pilihan Bahasa UI".
- v.5.6.2 (2021-08-15)
    - Lebar dialog "Simpan Opsi" dan "Opsi Ekspor" yang diperbesar.
    - Menambahkan solusi untuk menambahkan tabel pesan pada mode yang kompatibel dengan Microsoft.
- v.5.6.1 (2021-07-01)
    - Memperbaiki nilai pengembalian proses.
    - Penanganan tabel pesan yang ditingkatkan.
    - Jangan ubah huruf besar-kecil nama saat mengganti namanya di TreeView.
- v.5.6.0 (2021-06-19)
    - Jangan kompres dfmsc.exe (untuk keamanan).
    - Didukung baris perintah.
    - Menambahkan fungsi RES_load dan RES_save ke bahasa EGA.
- v.5.5.9 (16-06-2021)
    - Memperbaiki pemuatan resource.h makro.
- v.5.5.8 (2021-06-15)
    - Menandai garis saat terjadi kesalahan.
    - Memperbaiki Ctrl+A.
    - Diperbarui mcpp.exe dan dfmsc.exe.
- v.5.5.7 (2021-06-12)
    - Menambahkan nomor baris.
- v.5.5.6 (29-04-2021)
    - Membuat file *.rc dapat diimpor.
    - Memperbaiki tampilan panah bahasa TreeView.
- v.5.5.5 (23-04-2021)
    - Program tlb2idl yang dihapus.
    - Menambahkan program OleBow untuk memproses jenis sumber daya TYPELIB.
    - Mengkompilasi TYPELIB jika kompiler MIDL tersedia.
- v.5.5.4 (2021-04-13)
    - Perbaikan mengimpor ikon Vista.
- v.5.5.3 (30-03-2021)
    - Upgrade windres.exe ke 2.36.1.
    - Menggunakan nama jalur pendek untuk menelurkan subproses mcpp.exe dan windres.exe.
- v.5.5.2 (27-02-2021)
    - Memperbaiki Ctrl+A pada kotak teks Win2k3.
    - Menambahkan program tlb2idl untuk memproses jenis sumber daya TYPELIB.
    - Pratinjau TYPELIB yang didukung.
    - Menambahkan terjemahan bahasa Polandia.
    - Nonaktifkan fitur "Bungkus pernyataan manifes" sebagai default.
- v.5.5.1 (2021-02-02)
    - Windres yang ditingkatkan menjadi 2.36.
    - Item menu BITMAP atau OWNERDRAW dapat dikompilasi.
- v.5.5.0 (26-01-2021)
    - Tambahkan terjemahan Korea.
- v.5.4.9 (21-01-2021)
    - Segarkan Daftar ID setelah mengganti nama item treeview.
- v.5.4.8 (2020-11-12)
    - Menambahkan terjemahan bahasa Finlandia.
    - Menambahkan asosiasi file *.rc dan *.res.
    - Dukungan awal dari kontrol OLE.
    - Menghapus MOleCtrl dan menambahkan MOleHost.
    - Data REGINST yang didukung.
- v.5.4.7 (2020-10-18)
    - Downgrade Inno Setup ke 5.6.1 untuk dukungan XP.
    - Dukungan awal kelas jendela ActiveX "AtlAxWin140" pada dialog pengujian.
- v.5.4.6 (2020-10-03)
    - Cache yang dihapus dalam pemeriksaan versi.
    - Memperbaiki posisi dialog uji.
    - Memperbaiki bug yang `RT_DLGINIT` menghilang tanpa izin.
- v.5.4.5 (2020-08-03)
    - Menambahkan terjemahan bahasa Indonesia.
    - Menambahkan pelengkapan otomatis untuk kotak kombo bahasa.
- v.5.4.4 (2020-07-09)
    - Membersihkan isi file sebelum menggunakannya.
    - Mendukung data Delphi DFM internasional.
    - Memasukkan item menu "Delphi DFM Settings" ke dalam menu "Edit".
    - Atur ulang checksum dengan benar ke nol saat menyimpan file.
    - Memperbaiki bug di mana kontrol digeser sebesar 1 piksel.
    - Menambahkan beberapa menunggu saat menyimpan file, untuk pemeriksa virus.
    - Menambahkan tautan "Panduan untuk RisohEditor" ke menu "Bantuan".
- v.5.4.3 (2020-07-03)
    - Peningkatan nama file ekstraksi.
    - Mengurutkan item treeview setelah mengubah nama/bahasa sumber daya.
    - Ekstraksi ikon/kursor yang ditingkatkan.
    - Peningkatan kode baris baru dari teks yang disandikan.
    - Memperbaiki dialog "Tambah Sumber Daya".
    - Membuat HTML/Manifest dapat diimpor.
    - Menambahkan fitur pemeriksaan pembaruan di menu "Bantuan".
    - Memperbaiki judul kotak pesan.
    - Santai batas karakter dan mendukung data besar.
    - Atur ulang checksum ke nol saat menyimpan file.
- v.5.4.2 (2020-06-18)
    - Menambahkan kontrol tab untuk memilih "Editor Kode" atau "Penampil Hex".
    - Peningkatan terjemahan Jerman dan Prancis.
    - Memperbaiki panah drop-down bahasa.
    - Memperbaiki pemrosesan pengkodean Unicode.
    - Peningkatan ekspor dan ekstraksi.
    - Dialog EGA yang ditingkatkan.
- v.5.4.1 (14-06-2020)
    - Memperbaiki bug yang gagal disimpan oleh penimpaan kedua.
    - Memperbaiki teks bilah judul.
    - Memperbaiki pesan bilah status.
    - Menambahkan terjemahan bahasa Jerman.
    - Menambahkan terjemahan bahasa Prancis.
- v.5.4.0 (2020-06-13)
    - Memperbaiki output `RT_ACCELERATOR` (unsigned 16-bit).
    - Menghapus opsi "Simpan ke folder res".
    - Memperbaiki kerusakan saat mengedit GUI.
    - Fitur ekstraksi yang diperkuat.
    - Memperbaiki fitur mengganti-dialog-font.
    - Menggunakan jalur lengkap untuk bilah judul.
    - Menambahkan panah bahasa drop-down.
    - Memperbaiki dialog "Permintaan Konstan".
    - Memperbaiki dialog "Encoding of Resource Item".
    - Dialog "Asosiasi ID" yang ditingkatkan.
    - Peningkatan dialog "Makro yang Ditentukan Sebelumnya".
    - Dialog "Konfigurasi" yang ditingkatkan.
    - Memperbaiki dialog "Cari".
    - Pesan status yang ditingkatkan.
    - Peningkatan penanganan bendera yang dimodifikasi.
- v.5.3.9 (2020-06-01)
    - Menambahkan fitur "mengganti-dialog-font".
    - Memindahkan beberapa item menu ke menu "Edit".
    - Menambahkan nilai-nol-periksa nama sumber daya dan jenis sumber daya.
    - Menambahkan gaya `DS_CENTER` ke dialog sumber daya sampel.
    - Mengaktifkan tombol fungsi F1, F3, F5 dan F6.
    - Menambahkan versi Portable.
    - Fitur pencarian yang ditingkatkan.
- v.5.3.8 (22-05-2020)
    - Menambahkan item "Buka Manual EGA" ke menu "Otomasi".
    - Mengontrol bendera perubahan file dengan ketat.
- v.5.3.7 (28-04-2020)
    - Bendera perubahan file yang diperbarui saat file jatuh.
    - Memperbaiki nama file saat mengekstraksi.
    - EGA yang diperkuat.
    - Peningkatan terjemahan bahasa Rusia.
- v.5.3.6 (15-04-2020)
    - Loop tak terbatas dihindari dengan mengubah variabel loop menjadi 32-bit.
    - Dukungan data Delphi DFM.
    - Menu konteks yang ditingkatkan.
- v.5.3.5 (26-03-2020)
    - Peningkatan terjemahan bahasa Italia.
    - Perbaikan konfirmasi simpan yang tidak perlu.
- v.5.3.4 (2020-03-19)
    - Mengubah perilaku tombol penyimpanan bilah alat.
    - Memperkenalkan otomatisasi dengan menggunakan bahasa pemrograman EGA.
    - Menambahkan konfirmasi untuk menyimpan perubahan file.
- v.5.3.3 (2020-03-03)
    - Mengurangi ukuran file dari 9MB menjadi 3MB.
- v.5.3.2 (2020-03-02)
    - Dapat menyimpan dengan `Ctrl+S` tanpa menanyakan lokasi.
    - Jadikan opsi "Output RC files as UTF-16" non-volatile.
    - Bawa jendela "Daftar ID Sumber Daya" ke atas.
- v.5.3.1 (23-02-2020)
    - Perbaikan dan Peningkatan pembacaan/penampilan sumber daya menu.
    - Peningkatan penanganan `IDC_STATIC`.
    - Jendela "Daftar ID Sumber Daya" yang ditingkatkan.
- v.5.3.0 (2020-02-06)
    - Menambahkan `ES_AUTOHSCROLL` ke beberapa kotak teks.
    - Memperbaiki kesalahan logis saat menimpa file.
- v.5.2.9 (2020-02-01)
    - Dukungan XP untuk 5.2.8 dilupakan. Sekarang diaktifkan.
    - Memperbaiki pemrosesan penyimpanan file.
    - Mampu menyimpan file EXE/DLL tanpa executable milik pengguna.
    - Memperbaiki cara membuat cadangan.
- v.5.2.8 (2020-01-30)
    - Perbaikan terjemahan bahasa Rusia.
    - Mampu menampilkan kontrol yang tidak terdefinisi.
    - Menambahkan opsi "Gunakan BEGIN/END".
    - Memperbaiki bug yang DLL tidak dapat disimpan sebagai nama lain.
- v.5.2.7 (20-10-2019)
    - Dialog Bahasa yang ditingkatkan lagi.
    - Perbaikan posisi tanda item dialog.
- v.5.2.6 (23-09-2019)
    - Peningkatan dialog Bahasa.
    - Tambahkan terjemahan Rusia.
    - Tampilkan pesan kesalahan jika lokasi yang dipasang memiliki karakter spasi.
    - Tambahkan opsi `--use-temp-file` dalam menjalankan `windres` untuk memperbaiki masalah `popen`.
- v.5.2.5 (2019-09-19)
    - Memperbaiki bug `WS_CHILDWINDOW` di kotak daftar gaya dialog.
    - Mengubah nama file rilis (`RisohEditor-XXXexe` dan `RisohEditor-XXXzip`).
    - Menambahkan `TRANSLATORS.txt`.
    - Membuat kontrol yang ditarik pemilik terlihat.
- v.5.2.3 (2019-09-14)
    - Perbaikan `AUTORADIOBUTTON` `GAYA`.
    - v.5.2.4 (2019-09-15)
    - Dukungan XP.
- v.5.2.2 (2019-08-14)
    - Perbarui terjemahan Italia.
    - Mendukung tipe sumber daya XML, XSLT, SCHEMA dan REGISTRY.
    - Peningkatan interpretasi ketika bahasa `RT_ICON`/`RT_CURSOR` dan `RT_GROUP_ICON`/`RT_GROUP_CURSOR` tidak cocok.
    - Peningkatan interpretasi saat ketidakcocokan bahasa `RT_DLGINIT` dan `RT_DIALOG`.
- v.5.2.1 (04-08-2019)
    - "Bahasa Inggris (Amerika Serikat)" akan dipilih jika Anda memasukkan `"En"` untuk nama bahasa.
    - Tambahkan fitur "Permintaan Konstan".
    - Perbaikan "Tutup Semua".
    - `WS_POPUPWINDOW | WS_BORDER` harus `WS_POPUPWINDOW | WS_CAPTION`.
    - dukungan `RT_FONT`.
    - Dialog "Tambah Sumber Daya" yang ditingkatkan.
- v.5.2.0 (26-07-2019)
    - Perlakukan nilai `DIALOG STYLE` dengan benar (`WS_CAPTION` adalah nilai default dari `DIALOG STYLE`).
    - Memperbaiki bug yang aplikasi tiba-tiba menghapus file saat membuka file EXE terkompresi tanpa memperluas.
- v.5.1.9 (2019-07-14)
    - Input/output sumber UTF-16 yang didukung.
- v.5.1.8 (2019-05-14)
    - Tambahkan cek kompilasi ulang setelah kloning.
    - Perbaikan pilihan setelah kloning.
    - Benar gagal pada kesalahan kompilasi tabel string dan tabel pesan.
- v.5.1.7 (20-03-2019)
    - Tambahkan gaya PBS_MARQUEE dan PBS_SMOOTHREVERSE.
    - Perbaikan proses kesalahan kompilasi.
- v.5.1.6 (24-02-2019)
    - Peningkatan terjemahan bahasa Italia.
    - Penyesuaian GUI.
    - Perbaikan "Kloning Dalam Bahasa Baru".
- v.5.1.5 (27-01-2019)
    - Jangan gunakan gaya diperpanjang WS_EX_MDICHILD.
    - Mendukung ReactOS.
- v.5.1.4 (13-01-2019)
    - Tambahkan penginstal bahasa Inggris.
    - Tambahkan penginstal Italia.
    - Tambahkan terjemahan Italia.
    - Tambahkan beberapa penginstal bahasa.
- v.5.1.3 (2019-01-01)
    - Perbaikan "Daftar ID Sumber Daya".
- v.5.1.2 (2018-12-08)
    - Terima ruang di kotak teks nama kelas jendela.
    - Terima literal string C di kotak teks nama kelas jendela.
    - Peningkatan sistem templat.
    - Aktifkan templat manifes.
    - Perbaikan pembaruan bilah alat UI.
    - Menampilkan jenis ID "Daftar ID Sumber Daya" dengan benar.
    - Mengurutkan bahasa dengan benar saat keluar.
- v.5.1.1 (2018-11-08)
    - Terima spasi di kotak teks keterangan.
    - Terima ruang di kotak teks bahasa.
- v.5.1.0 (2018-10-08)
    - Peningkatan dialog "Entri String" (multiline).
    - Perbaikan perilaku Ctrl+A.
    - Periksa kunci file saat menyimpan file.
    - Jadikan ID sumber daya peka huruf besar-kecil.
    - Dukungan pengkodean item sumber daya.
    - Perbaikan penghentian abnormal pada dialog "Bahasa".
- v.5.0.9 (27-09-2018)
    - Peningkatan keluaran resource.h.
    - Peningkatan ikon file treeview.
    - Meningkatkan impor.
- v.5.0.8 (2018-09-12)
    - Peningkatan ikon bilah alat.
    - Perbaikan jenis file pada ekstraksi.
    - Tulis belati ke file sumber untuk membantu deteksi UTF-8.
    - Perbaikan ikon tampilan pohon.
    - Pemisahan templat sumber daya RT_DIALOG dan RT_MENU dalam bahasa.
- v.0.6 (31-08-2017)
    - Rilisan pertama.
